/* Aggiornamento ed udpate DB!*/

-- drop stored inutilizzate
set xact_abort on
go

begin transaction
go

drop procedure stp_getImp2Art_ByImpData
go

drop procedure stp_getImp2Art_currProd
go

commit
go


-- nuove stored!
set xact_abort on
go

begin transaction
go

set ANSI_NULLS on
go

/***************************************
* STORED stp_dummy
*
* stored dummy per poter settare stringhe di connessione alle stored operative associate allos tesso oggetto del dataset
*
* Steamware, S.E.L.
* mod: 2010.05.18
*
****************************************/
create PROCEDURE stp_dummy
AS

SELECT * FROM LogUpdateDb

RETURN
go

/***************************************
* STORED stp_getImballoLikeSearch
*
* carica le righe imballo da ricerca like
*
* Steamware, S.E.L.
* mod: 2010.05.28
*
****************************************/
create PROCEDURE stp_getImballoLikeSearch
(
	@searchVal VARCHAR(50)
)	
AS

	SELECT  CodImballo, ClasseArticolo, DescImballo
	FROM    RilPro.AnagImballi
	WHERE   (CodImballo LIKE '%' + @searchVal + '%') 
	OR		(DescImballo LIKE '%' + @searchVal + '%')

RETURN
go

commit
go







-- registro versione...
INSERT INTO [dbo].[LogUpdateDb] ([Versione],[Data]) VALUES(70, GETDATE())
GO